import { CpkProvider, CpkProviderFn } from "./src/provider";
import Cache from "./src/cache";
export declare class Cpk {
    provider: CpkProvider;
    useCache: boolean;
    cache?: Cache;
    static useProviders(providers?: Array<CpkProvider | CpkProviderFn<any>>): typeof Cpk;
    /**
     * ===============================================
     * Instance Methods
     * ===============================================
     */
    constructor(providerName: string);
    /**
     * Disable useCache
     */
    disableCache(): this;
    /**
     * Get a single pair
     * @param pair
     * @param ttl
     */
    get(pair: string, ttl?: number): Promise<number>;
    getMany(pairs: string[], ttl?: number): Promise<Record<string, number>>;
    /**
     * ===============================================
     * Private Methods
     * ===============================================
     */
    /***
     * Parse a pair of string into an array
     * This function also validates the pair
     * Checks if the coin/currency is supported
     * @param pair
     * @private
     */
    private parsePair;
}
