export interface CpkProvider {
    name: string;
    coinsSupported: string[] | "any";
    currenciesSupported: string[] | "any";
    getPrice(coin: string, currency: string): Promise<number>;
    getPrices(pairs: {
        coin: string;
        currency: string;
    }[]): Promise<Record<string, number>>;
}
export declare type CpkProviderFn<Config = Record<string, any>> = (config?: Config) => CpkProvider;
export declare function defineCpkProvider<Config = Record<string, any>>(fn: CpkProviderFn<Config>): (config: Config) => CpkProvider;
